%define name		x11-driver-video-%{chipset}
%define chipset		radeonhd
%define snapshot	20070928
%define version		1.1.1
%if %snapshot
%define release		%mkrel 0.%{snapshot}.1
%define distname	xf86-video-%{chipset}-%{snapshot}
%else
%define release		%mkrel 1
%define distname	xf86-video-%{chipset}-%{version}
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The X.org driver for AMD / ATI r5xx/r6xx chipsets
Group:		System/X11
URL:		http://xorg.freedesktop.org
# git://anongit.freedesktop.org/git/xorg/driver/xf86-video-radeonhd
# git archive --format=tar --prefix=xf86-video-radeonhd-$(date +%Y%m%d)/ master |
#   lzma > ../xf86-video-radeonhd-$(date +%Y%m%d).tar.lzma
Source:		%{distname}.tar.lzma
License:	MIT
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	x11-proto-devel
BuildRequires:	x11-server-devel
BuildRequires:	autoconf

%description
The X.org driver for AMD / ATI r5xx/r6xx chipsets (Radeon X1xxx and
HD 2xxx cards).
 
%prep
%setup -q -n %{distname}

%build
autoreconf -v --install
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/radeonhd_drv.so
%{_libdir}/xorg/modules/drivers/radeonhd_drv.la


%changelog
* Fri Sep 28 2007 Adam Williamson <awilliamson@mandriva.com> 1.1.1-0.20070928.1mdv2008.0
+ Revision: 93753
- new snapshot 20070928

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.com> 1.1.1-0.20070920.1mdv2008.0
+ Revision: 91522
- today's snapshot

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.com> 1.1.1-0.20070919.1mdv2008.0
+ Revision: 91231
- latest snapshot, adds a bunch of new ids since yesterday
- change the spec a bit to handle snapshots and future stable releases

* Tue Sep 18 2007 Olivier Blin <oblin@mandriva.com> 1.1.1-0.20070918.2mdv2008.0
+ Revision: 89746
- build for all architectures

* Tue Sep 18 2007 Olivier Blin <oblin@mandriva.com> 1.1.1-0.20070918.1mdv2008.0
+ Revision: 89645
- initial release
- Create x11-driver-video-radeonhd

